#!/usr/bin/php -q
<?php

/*
 * (C) 2013-2020 iDorMobile, Werner Pfundstein IT
 *
 * Version: 2.2
 *
 */

    require_once("dbcore.php");

    if (!file_exists("/tmp/nocheck.txt")) {

        $arr = array();

        exec("/usr/sbin/asterisk -rx 'core show version'", $arr);
        if (count($arr) > 0) {
            if (substr($arr[0],0,12) == "Asterisk 1.8") {
                // Asterisk is running
            } else {
                echo "start asterisk\r\n";
		exec("pkill asterisk");
                exec("/etc/init.d/asterisk start");
            }
        } else {
            echo "start asterisk\r\n";
	    exec("pkill asterisk");
            exec("/etc/init.d/asterisk start");
        }

        if ($cn = db_open()) {
            // mysql is running
            db_close($cn);
        } else {
            echo "restart mysql\r\n";
            exec("service mysql restart");
        }

        exec("sudo ps -e | grep apache2", $arr);
        if (count($arr) > 1) {
            // apache is running
        } else {
            echo "restart apache2\r\n";
            exec("service apache2 restart");
        }
    }

?>
